#! /bin/sh

MYBUILDSRC=/home/java

export MILESTONE=u6
export BUILD_NUMBER=b24

unset LD_LIBRARY_PATH
unset LD_RUN_PATH
unset LD_PRELOAD

export PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/pkg/sbin:/usr/pkg/bin

# also any other LD_*
unset JAVA_HOME
# best delete all env variables except the ones explicitly needed
export TMPDIR=/var/tmp
# or any other place with enough free space

# path overrides:
export ALT_NSPR_HEADERS_PATH=/usr/pkg/include/nspr
export ALT_CUPS_HEADERS_PATH=/usr/pkg/include
export ALT_FREETYPE_HEADERS_PATH=/usr/pkg/include
export ALT_FREETYPE_LIB_PATH=/usr/pkg/lib
export ALT_DEVTOOLS_PATH=/usr/pkg/bin
#
export ALT_BOOTDIR=/usr/pkg/java/openjdk7-bin
# the dir with bin/javac inside
# and probably also
export JVM_HOME=/usr/pkg/java/openjdk7-bin
# but don't set JAVA_HOME

# whatever ..
ALT_JDK_IMPORT_PATH=/home/java/bsd-port-stage1

#export BUILD_HEADLESS_ONLY=1

cd ${MYBUILDSRC}/bsd-port
#gmake clean
#gmake sanity
gmake
# go make tea and play with the cats, or something

